
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef platine_POSTER_LIB_H
#define platine_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "platineType.h"
#include "platineError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[PLATINE_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} PLATINE_CNTRL_STR;

/* For consistency with other posters */
typedef PLATINE_CNTRL_STR PLATINE_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "platinePosterLibStruct.h"



/* Posters */
#define PLATINE_CNTRL_POSTER_NAME genomInstanceSuffixName("platine", "Cntrl")
#define PLATINE_STATE_POSTER_NAME genomInstanceSuffixName("platine", "State")
#define PLATINE_SEPOS_POSTER_NAME genomInstanceSuffixName("platine", "SEPos")
#define PLATINE_PARAMS_POSTER_NAME genomInstanceSuffixName("platine", "Params")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS platinePosterInit ( void );
extern POSTER_ID platineCntrlPosterID ();
extern STATUS platineCntrlPosterRead ( PLATINE_CNTRL_STR *platineCntrlStrId );
extern STATUS platineCntrlPosterInit ( void );
extern STATUS platineCntrlInstancePosterRead(const char *name, PLATINE_CNTRL_STR *platineCntrlStrId);
extern STATUS platineStatePosterInit ( void );
extern POSTER_ID platineStatePosterID ( void );
extern STATUS platineStatePosterRead ( PLATINE_STATE_POSTER_STR *x );
extern STATUS platineStateInstancePosterRead ( const char *, PLATINE_STATE_POSTER_STR * );
extern STATUS platineStatestateRadPosterRead ( PLATINE_STATE *stateRad );
extern STATUS platineStatestateRadInstancePosterRead( const char *, PLATINE_STATE * );
extern STATUS platineStatestateDegPosterRead ( PLATINE_STATE *stateDeg );
extern STATUS platineStatestateDegInstancePosterRead( const char *, PLATINE_STATE * );
extern STATUS platineSEPosPosterInit ( void );
extern POSTER_ID platineSEPosPosterID ( void );
extern STATUS platineSEPosPosterRead ( PLATINE_SEPOS_POSTER_STR *x );
extern STATUS platineSEPosInstancePosterRead ( const char *, PLATINE_SEPOS_POSTER_STR * );
extern STATUS platineSEPosexportPomSEPosterRead ( POM_SE_POSTER *exportPomSE );
extern STATUS platineSEPosexportPomSEInstancePosterRead( const char *, POM_SE_POSTER * );
extern STATUS platineParamsPosterInit ( void );
extern POSTER_ID platineParamsPosterID ( void );
extern STATUS platineParamsPosterRead ( PLATINE_PARAMS_POSTER_STR *x );
extern STATUS platineParamsInstancePosterRead ( const char *, PLATINE_PARAMS_POSTER_STR * );
extern STATUS platineParamsplatineParamsPosterRead ( PLATINE_PARAMS_STR *platineParams );
extern STATUS platineParamsplatineParamsInstancePosterRead( const char *, PLATINE_PARAMS_STR * );
#ifdef __cplusplus
}
#endif
#endif

