
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PLATINE_PRINTXML_H
#define PLATINE_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/pomPrintXML.h"

#include "server/genBasicPrintXML.h"


#include "platinePosterLib.h"

/* Prototypes */
extern void printXML_struct_PLATINE_PARAMS_POSTER_STR ( FILE *out, char *name,
     struct PLATINE_PARAMS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_SEPOS_POSTER_STR ( FILE *out, char *name,
     struct PLATINE_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_STATE_POSTER_STR ( FILE *out, char *name,
     struct PLATINE_STATE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_MODULE_PLATINE_SDI ( FILE *out, char *name,
     struct MODULE_PLATINE_SDI *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLATINE_SET_SETTING ( FILE *out, char *name,
     enum PLATINE_SET_SETTING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_PARAMS_STR ( FILE *out, char *name,
     struct PLATINE_PARAMS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_OFFSETS_STR ( FILE *out, char *name,
     struct PLATINE_OFFSETS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_POWER_PARAMS ( FILE *out, char *name,
     struct PLATINE_POWER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_AXIS_POWER_PARAMS ( FILE *out, char *name,
     struct PLATINE_AXIS_POWER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLATINE_MOVE_POWER_MODE ( FILE *out, char *name,
     enum PLATINE_MOVE_POWER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLATINE_HOLD_POWER_MODE ( FILE *out, char *name,
     enum PLATINE_HOLD_POWER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_SPEED_PROFILE ( FILE *out, char *name,
     struct PLATINE_SPEED_PROFILE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_AXIS_SET_SPEED_PROFILE ( FILE *out, char *name,
     struct PLATINE_AXIS_SET_SPEED_PROFILE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_AXIS_SPEED_PROFILE ( FILE *out, char *name,
     struct PLATINE_AXIS_SPEED_PROFILE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_STEP_AXIS_PARAMS ( FILE *out, char *name,
     struct PLATINE_STEP_AXIS_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_CONVERT_PARAMS ( FILE *out, char *name,
     struct PLATINE_CONVERT_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_CONST_PARAMS ( FILE *out, char *name,
     struct PLATINE_CONST_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_AXIS_CONST_PARAMS ( FILE *out, char *name,
     struct PLATINE_AXIS_CONST_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_SET_PARAM ( FILE *out, char *name,
     struct PLATINE_SET_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_REF_COORD_SPEED_STR ( FILE *out, char *name,
     struct PLATINE_REF_COORD_SPEED_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_REF_AXIS_SPEED_STR ( FILE *out, char *name,
     struct PLATINE_REF_AXIS_SPEED_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_POS_RQST ( FILE *out, char *name,
     struct PLATINE_POS_RQST *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_TRACK_TARGET ( FILE *out, char *name,
     struct PLATINE_TRACK_TARGET *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_CARTESIAN_TARGET ( FILE *out, char *name,
     struct PLATINE_CARTESIAN_TARGET *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_REF_POS_STR ( FILE *out, char *name,
     struct PLATINE_REF_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_REF_COORD_POS_STR ( FILE *out, char *name,
     struct PLATINE_REF_COORD_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_REF_AXIS_POS_STR ( FILE *out, char *name,
     struct PLATINE_REF_AXIS_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_STATES ( FILE *out, char *name,
     struct PLATINE_STATES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_STATE ( FILE *out, char *name,
     struct PLATINE_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_3D_POINT ( FILE *out, char *name,
     struct PLATINE_3D_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLATINE_CMD_TYPE ( FILE *out, char *name,
     enum PLATINE_CMD_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLATINE_AXIS ( FILE *out, char *name,
     enum PLATINE_AXIS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLATINE_UNITY ( FILE *out, char *name,
     enum PLATINE_UNITY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PLATINE_BOOL ( FILE *out, char *name,
     enum PLATINE_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_AXIS_STR ( FILE *out, char *name,
     struct PLATINE_AXIS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PLATINE_DRIVER_PARAMS ( FILE *out, char *name,
     struct PLATINE_DRIVER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_PLATINE_DRIVER_PARAMS ( FILE *out, char *name,
     PLATINE_DRIVER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_AXIS_STR ( FILE *out, char *name,
     PLATINE_AXIS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_BOOL ( FILE *out, char *name,
     PLATINE_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_UNITY ( FILE *out, char *name,
     PLATINE_UNITY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_AXIS ( FILE *out, char *name,
     PLATINE_AXIS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_CMD_TYPE ( FILE *out, char *name,
     PLATINE_CMD_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_3D_POINT ( FILE *out, char *name,
     PLATINE_3D_POINT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_STATE ( FILE *out, char *name,
     PLATINE_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_STATES ( FILE *out, char *name,
     PLATINE_STATES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_REF_AXIS_POS_STR ( FILE *out, char *name,
     PLATINE_REF_AXIS_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_REF_COORD_POS_STR ( FILE *out, char *name,
     PLATINE_REF_COORD_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_REF_POS_STR ( FILE *out, char *name,
     PLATINE_REF_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_CARTESIAN_TARGET ( FILE *out, char *name,
     PLATINE_CARTESIAN_TARGET *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_TRACK_TARGET ( FILE *out, char *name,
     PLATINE_TRACK_TARGET *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_POS_RQST ( FILE *out, char *name,
     PLATINE_POS_RQST *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_REF_AXIS_SPEED_STR ( FILE *out, char *name,
     PLATINE_REF_AXIS_SPEED_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_REF_COORD_SPEED_STR ( FILE *out, char *name,
     PLATINE_REF_COORD_SPEED_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_SET_PARAM ( FILE *out, char *name,
     PLATINE_SET_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_AXIS_CONST_PARAMS ( FILE *out, char *name,
     PLATINE_AXIS_CONST_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_CONST_PARAMS ( FILE *out, char *name,
     PLATINE_CONST_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_CONVERT_PARAMS ( FILE *out, char *name,
     PLATINE_CONVERT_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_STEP_AXIS_PARAMS ( FILE *out, char *name,
     PLATINE_STEP_AXIS_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_AXIS_SPEED_PROFILE ( FILE *out, char *name,
     PLATINE_AXIS_SPEED_PROFILE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_AXIS_SET_SPEED_PROFILE ( FILE *out, char *name,
     PLATINE_AXIS_SET_SPEED_PROFILE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_SPEED_PROFILE ( FILE *out, char *name,
     PLATINE_SPEED_PROFILE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_HOLD_POWER_MODE ( FILE *out, char *name,
     PLATINE_HOLD_POWER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_MOVE_POWER_MODE ( FILE *out, char *name,
     PLATINE_MOVE_POWER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_AXIS_POWER_PARAMS ( FILE *out, char *name,
     PLATINE_AXIS_POWER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_POWER_PARAMS ( FILE *out, char *name,
     PLATINE_POWER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_OFFSETS_STR ( FILE *out, char *name,
     PLATINE_OFFSETS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_PARAMS_STR ( FILE *out, char *name,
     PLATINE_PARAMS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_SET_SETTING ( FILE *out, char *name,
     PLATINE_SET_SETTING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_STR ( FILE *out, char *name,
     PLATINE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_STATE_POSTER_STR ( FILE *out, char *name,
     PLATINE_STATE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_SEPOS_POSTER_STR ( FILE *out, char *name,
     PLATINE_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PLATINE_PARAMS_POSTER_STR ( FILE *out, char *name,
     PLATINE_PARAMS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* PLATINE_PRINT_XML_H */

