
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PLATINE_SCAN_H
#define PLATINE_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomScan.h"

#include "server/genBasicScan.h"


/* Structures du module */
#include "platinePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_PLATINE_PARAMS_POSTER_STR ( FILE *in, FILE *out,
       struct PLATINE_PARAMS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_SEPOS_POSTER_STR ( FILE *in, FILE *out,
       struct PLATINE_SEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_STATE_POSTER_STR ( FILE *in, FILE *out,
       struct PLATINE_STATE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_MODULE_PLATINE_SDI ( FILE *in, FILE *out,
       struct MODULE_PLATINE_SDI *x, int indent, int nDim, int *dims );
extern int scan_enum_PLATINE_SET_SETTING ( FILE *in, FILE *out,
       enum PLATINE_SET_SETTING *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_PARAMS_STR ( FILE *in, FILE *out,
       struct PLATINE_PARAMS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_OFFSETS_STR ( FILE *in, FILE *out,
       struct PLATINE_OFFSETS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_POWER_PARAMS ( FILE *in, FILE *out,
       struct PLATINE_POWER_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_AXIS_POWER_PARAMS ( FILE *in, FILE *out,
       struct PLATINE_AXIS_POWER_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_enum_PLATINE_MOVE_POWER_MODE ( FILE *in, FILE *out,
       enum PLATINE_MOVE_POWER_MODE *x, int indent, int nDim, int *dims );
extern int scan_enum_PLATINE_HOLD_POWER_MODE ( FILE *in, FILE *out,
       enum PLATINE_HOLD_POWER_MODE *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_SPEED_PROFILE ( FILE *in, FILE *out,
       struct PLATINE_SPEED_PROFILE *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_AXIS_SET_SPEED_PROFILE ( FILE *in, FILE *out,
       struct PLATINE_AXIS_SET_SPEED_PROFILE *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_AXIS_SPEED_PROFILE ( FILE *in, FILE *out,
       struct PLATINE_AXIS_SPEED_PROFILE *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_STEP_AXIS_PARAMS ( FILE *in, FILE *out,
       struct PLATINE_STEP_AXIS_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_CONVERT_PARAMS ( FILE *in, FILE *out,
       struct PLATINE_CONVERT_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_CONST_PARAMS ( FILE *in, FILE *out,
       struct PLATINE_CONST_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_AXIS_CONST_PARAMS ( FILE *in, FILE *out,
       struct PLATINE_AXIS_CONST_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_SET_PARAM ( FILE *in, FILE *out,
       struct PLATINE_SET_PARAM *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_REF_COORD_SPEED_STR ( FILE *in, FILE *out,
       struct PLATINE_REF_COORD_SPEED_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_REF_AXIS_SPEED_STR ( FILE *in, FILE *out,
       struct PLATINE_REF_AXIS_SPEED_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_POS_RQST ( FILE *in, FILE *out,
       struct PLATINE_POS_RQST *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_TRACK_TARGET ( FILE *in, FILE *out,
       struct PLATINE_TRACK_TARGET *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_CARTESIAN_TARGET ( FILE *in, FILE *out,
       struct PLATINE_CARTESIAN_TARGET *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_REF_POS_STR ( FILE *in, FILE *out,
       struct PLATINE_REF_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_REF_COORD_POS_STR ( FILE *in, FILE *out,
       struct PLATINE_REF_COORD_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_REF_AXIS_POS_STR ( FILE *in, FILE *out,
       struct PLATINE_REF_AXIS_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_STATES ( FILE *in, FILE *out,
       struct PLATINE_STATES *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_STATE ( FILE *in, FILE *out,
       struct PLATINE_STATE *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_3D_POINT ( FILE *in, FILE *out,
       struct PLATINE_3D_POINT *x, int indent, int nDim, int *dims );
extern int scan_enum_PLATINE_CMD_TYPE ( FILE *in, FILE *out,
       enum PLATINE_CMD_TYPE *x, int indent, int nDim, int *dims );
extern int scan_enum_PLATINE_AXIS ( FILE *in, FILE *out,
       enum PLATINE_AXIS *x, int indent, int nDim, int *dims );
extern int scan_enum_PLATINE_UNITY ( FILE *in, FILE *out,
       enum PLATINE_UNITY *x, int indent, int nDim, int *dims );
extern int scan_enum_PLATINE_BOOL ( FILE *in, FILE *out,
       enum PLATINE_BOOL *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_AXIS_STR ( FILE *in, FILE *out,
       struct PLATINE_AXIS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PLATINE_DRIVER_PARAMS ( FILE *in, FILE *out,
       struct PLATINE_DRIVER_PARAMS *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_PLATINE_DRIVER_PARAMS ( FILE *in, FILE *out,
       PLATINE_DRIVER_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_AXIS_STR ( FILE *in, FILE *out,
       PLATINE_AXIS_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_BOOL ( FILE *in, FILE *out,
       PLATINE_BOOL *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_UNITY ( FILE *in, FILE *out,
       PLATINE_UNITY *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_AXIS ( FILE *in, FILE *out,
       PLATINE_AXIS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_CMD_TYPE ( FILE *in, FILE *out,
       PLATINE_CMD_TYPE *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_3D_POINT ( FILE *in, FILE *out,
       PLATINE_3D_POINT *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_STATE ( FILE *in, FILE *out,
       PLATINE_STATE *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_STATES ( FILE *in, FILE *out,
       PLATINE_STATES *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_REF_AXIS_POS_STR ( FILE *in, FILE *out,
       PLATINE_REF_AXIS_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_REF_COORD_POS_STR ( FILE *in, FILE *out,
       PLATINE_REF_COORD_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_REF_POS_STR ( FILE *in, FILE *out,
       PLATINE_REF_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_CARTESIAN_TARGET ( FILE *in, FILE *out,
       PLATINE_CARTESIAN_TARGET *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_TRACK_TARGET ( FILE *in, FILE *out,
       PLATINE_TRACK_TARGET *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_POS_RQST ( FILE *in, FILE *out,
       PLATINE_POS_RQST *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_REF_AXIS_SPEED_STR ( FILE *in, FILE *out,
       PLATINE_REF_AXIS_SPEED_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_REF_COORD_SPEED_STR ( FILE *in, FILE *out,
       PLATINE_REF_COORD_SPEED_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_SET_PARAM ( FILE *in, FILE *out,
       PLATINE_SET_PARAM *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_AXIS_CONST_PARAMS ( FILE *in, FILE *out,
       PLATINE_AXIS_CONST_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_CONST_PARAMS ( FILE *in, FILE *out,
       PLATINE_CONST_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_CONVERT_PARAMS ( FILE *in, FILE *out,
       PLATINE_CONVERT_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_STEP_AXIS_PARAMS ( FILE *in, FILE *out,
       PLATINE_STEP_AXIS_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_AXIS_SPEED_PROFILE ( FILE *in, FILE *out,
       PLATINE_AXIS_SPEED_PROFILE *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_AXIS_SET_SPEED_PROFILE ( FILE *in, FILE *out,
       PLATINE_AXIS_SET_SPEED_PROFILE *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_SPEED_PROFILE ( FILE *in, FILE *out,
       PLATINE_SPEED_PROFILE *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_HOLD_POWER_MODE ( FILE *in, FILE *out,
       PLATINE_HOLD_POWER_MODE *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_MOVE_POWER_MODE ( FILE *in, FILE *out,
       PLATINE_MOVE_POWER_MODE *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_AXIS_POWER_PARAMS ( FILE *in, FILE *out,
       PLATINE_AXIS_POWER_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_POWER_PARAMS ( FILE *in, FILE *out,
       PLATINE_POWER_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_OFFSETS_STR ( FILE *in, FILE *out,
       PLATINE_OFFSETS_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_PARAMS_STR ( FILE *in, FILE *out,
       PLATINE_PARAMS_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_SET_SETTING ( FILE *in, FILE *out,
       PLATINE_SET_SETTING *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_STR ( FILE *in, FILE *out,
       PLATINE_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_STATE_POSTER_STR ( FILE *in, FILE *out,
       PLATINE_STATE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_SEPOS_POSTER_STR ( FILE *in, FILE *out,
       PLATINE_SEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PLATINE_PARAMS_POSTER_STR ( FILE *in, FILE *out,
       PLATINE_PARAMS_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* PLATINE_SCAN_H */

