
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef platine_TCLSERV_CLIENT_MSG_LIB_H
#define platine_TCLSERV_CLIENT_MSG_LIB_H

#include <server/platineType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int platineTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int platineTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int platineTclservClientInitDriverRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_DRIVER_PARAMS *(in_driverParams) 
		);

int platineTclservClientInitDriverReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientInitDriverRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_DRIVER_PARAMS *(in_driverParams) ,
				
				int *bilan);

int platineTclservClientInitDriverRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_DRIVER_PARAMS *(in_driverParams) ,
					
					int *bilan);




int platineTclservClientGetSerialParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int platineTclservClientGetSerialParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       PLATINE_DRIVER_PARAMS *(out_driverParams),
			       int *bilan);

int platineTclservClientGetSerialParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 PLATINE_DRIVER_PARAMS *(out_driverParams),
				 int *bilan);




int platineTclservClientResetRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int platineTclservClientResetReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientResetRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int platineTclservClientResetRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int platineTclservClientGetPlatineParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 PLATINE_UNITY *(in_unity)
		);

int platineTclservClientGetPlatineParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       PLATINE_PARAMS_STR *(out_platineParamsRq),
			       int *bilan);

int platineTclservClientGetPlatineParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 PLATINE_UNITY *(in_unity) ,
				 PLATINE_PARAMS_STR *(out_platineParamsRq),
				 int *bilan);




int platineTclservClientSetSpeedRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_SET_PARAM *(in_setParam) 
		);

int platineTclservClientSetSpeedReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientSetSpeedRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_SET_PARAM *(in_setParam) ,
				
				int *bilan);

int platineTclservClientSetSpeedRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_SET_PARAM *(in_setParam) ,
					
					int *bilan);




int platineTclservClientSetSpeedProfileRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_AXIS_SET_SPEED_PROFILE *(in_setSpeedProfile) 
		);

int platineTclservClientSetSpeedProfileReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientSetSpeedProfileRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_AXIS_SET_SPEED_PROFILE *(in_setSpeedProfile) ,
				
				int *bilan);

int platineTclservClientSetSpeedProfileRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_AXIS_SET_SPEED_PROFILE *(in_setSpeedProfile) ,
					
					int *bilan);




int platineTclservClientSetPowerModesRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_POWER_PARAMS *(in_power) 
		);

int platineTclservClientSetPowerModesReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientSetPowerModesRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_POWER_PARAMS *(in_power) ,
				
				int *bilan);

int platineTclservClientSetPowerModesRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_POWER_PARAMS *(in_power) ,
					
					int *bilan);




int platineTclservClientSetUpdatePosterPeriodRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_updatePosterPeriod)
		);

int platineTclservClientSetUpdatePosterPeriodReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int platineTclservClientSetUpdatePosterPeriodRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_updatePosterPeriod) ,
				 
				 int *bilan);




int platineTclservClientStopRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int platineTclservClientStopReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientStopRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int platineTclservClientStopRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int platineTclservClientSetOffsetRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 PLATINE_SET_PARAM *(in_setParam)
		);

int platineTclservClientSetOffsetReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int platineTclservClientSetOffsetRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 PLATINE_SET_PARAM *(in_setParam) ,
				 
				 int *bilan);




int platineTclservClientCmdPosPanRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_REF_AXIS_POS_STR *(in_pan) 
		);

int platineTclservClientCmdPosPanReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientCmdPosPanRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_REF_AXIS_POS_STR *(in_pan) ,
				
				int *bilan);

int platineTclservClientCmdPosPanRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_REF_AXIS_POS_STR *(in_pan) ,
					
					int *bilan);




int platineTclservClientCmdPosTiltRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_REF_AXIS_POS_STR *(in_tilt) 
		);

int platineTclservClientCmdPosTiltReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientCmdPosTiltRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_REF_AXIS_POS_STR *(in_tilt) ,
				
				int *bilan);

int platineTclservClientCmdPosTiltRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_REF_AXIS_POS_STR *(in_tilt) ,
					
					int *bilan);




int platineTclservClientCmdPosCoordRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_REF_COORD_POS_STR *(in_coord) 
		);

int platineTclservClientCmdPosCoordReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientCmdPosCoordRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_REF_COORD_POS_STR *(in_coord) ,
				
				int *bilan);

int platineTclservClientCmdPosCoordRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_REF_COORD_POS_STR *(in_coord) ,
					
					int *bilan);




int platineTclservClientTrackPosRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING64 *(in_posterName) 
		);

int platineTclservClientTrackPosReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientTrackPosRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING64 *(in_posterName) ,
				
				int *bilan);

int platineTclservClientTrackPosRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING64 *(in_posterName) ,
					
					int *bilan);




int platineTclservClientTrackSpeedRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING64 *(in_posterName) 
		);

int platineTclservClientTrackSpeedReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientTrackSpeedRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING64 *(in_posterName) ,
				
				int *bilan);

int platineTclservClientTrackSpeedRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING64 *(in_posterName) ,
					
					int *bilan);




int platineTclservClientSetPlatinePosOnRobotRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_POS_RQST *(in_platineOriginPosOnRobotRqst) 
		);

int platineTclservClientSetPlatinePosOnRobotReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientSetPlatinePosOnRobotRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_POS_RQST *(in_platineOriginPosOnRobotRqst) ,
				
				int *bilan);

int platineTclservClientSetPlatinePosOnRobotRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_POS_RQST *(in_platineOriginPosOnRobotRqst) ,
					
					int *bilan);




int platineTclservClientGetPlatinePosOnRobotRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int platineTclservClientGetPlatinePosOnRobotReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       PLATINE_POS_RQST *(out_platineOriginPosOnRobotRqst),
			       int *bilan);

int platineTclservClientGetPlatinePosOnRobotRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 PLATINE_POS_RQST *(out_platineOriginPosOnRobotRqst),
				 int *bilan);




int platineTclservClientAimAtTargetPointRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_CARTESIAN_TARGET *(in_cartesianTarget) 
		);

int platineTclservClientAimAtTargetPointReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientAimAtTargetPointRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_CARTESIAN_TARGET *(in_cartesianTarget) ,
				
				int *bilan);

int platineTclservClientAimAtTargetPointRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_CARTESIAN_TARGET *(in_cartesianTarget) ,
					
					int *bilan);




int platineTclservClientTrackTargetPointRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_TRACK_TARGET *(in_trackTarget) 
		);

int platineTclservClientTrackTargetPointReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientTrackTargetPointRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_TRACK_TARGET *(in_trackTarget) ,
				
				int *bilan);

int platineTclservClientTrackTargetPointRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_TRACK_TARGET *(in_trackTarget) ,
					
					int *bilan);




int platineTclservClientGetConstConvertRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int platineTclservClientGetConstConvertReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       PLATINE_CONVERT_PARAMS *(out_constConvert),
			       int *bilan);

int platineTclservClientGetConstConvertRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 PLATINE_CONVERT_PARAMS *(out_constConvert),
				 int *bilan);




int platineTclservClientSetDefaultPtSettingsRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLATINE_SET_SETTING *(in_settings) 
		);

int platineTclservClientSetDefaultPtSettingsReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientSetDefaultPtSettingsRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLATINE_SET_SETTING *(in_settings) ,
				
				int *bilan);

int platineTclservClientSetDefaultPtSettingsRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLATINE_SET_SETTING *(in_settings) ,
					
					int *bilan);




int platineTclservClientSendAsciiCmdRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING64 *(in_asciiCmd) 
		);

int platineTclservClientSendAsciiCmdReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientSendAsciiCmdRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING64 *(in_asciiCmd) ,
				
				int *bilan);

int platineTclservClientSendAsciiCmdRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING64 *(in_asciiCmd) ,
					
					int *bilan);




int platineTclservClientResetPTUdriverRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int platineTclservClientResetPTUdriverReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int platineTclservClientResetPTUdriverRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int platineTclservClientResetPTUdriverRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int platineTclservClientGetUpdatePosterPeriodRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int platineTclservClientGetUpdatePosterPeriodReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       int *(out_updatePosterPeriod),
			       int *bilan);

int platineTclservClientGetUpdatePosterPeriodRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 int *(out_updatePosterPeriod),
				 int *bilan);




int platineTclservClientGetOffsetRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int platineTclservClientGetOffsetReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       PLATINE_SET_PARAM *(out_setParam),
			       int *bilan);

int platineTclservClientGetOffsetRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 PLATINE_SET_PARAM *(out_setParam),
				 int *bilan);




int platineTclservClientVerboseSwitchRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int platineTclservClientVerboseSwitchReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int platineTclservClientVerboseSwitchRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* platineTCLSERV_CLIENT_MSG_LIB_H */

